#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
//import inquirer from "inquirer";
const appdata_path_1 = __importDefault(require("appdata-path"));
const packageJson = require("../package.json");
commander_1.default.version(packageJson.version);
commander_1.default.option("-i, --install", "Install snippets").action((options) => {
    const toPath = path_1.default.join(appdata_path_1.default(), "Code", "User", "snippets", "typescriptreact.json");
    fs_1.default.writeFileSync(toPath, JSON.stringify(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, createSnippet("React functional component", "rc")), createSnippet("NextJS page", "nextpage")), createSnippet("CSS prop", "cssp")), createSnippet("Tailwind utility classes", "tw")), createSnippet("MobX property", "mx")), createSnippet("useState", "us")), undefined, 2));
    console.log("Installing snippets to:", toPath);
    const toPath2 = path_1.default.join(appdata_path_1.default(), "Code", "User", "snippets", "typescript.json");
    fs_1.default.writeFileSync(toPath2, JSON.stringify(Object.assign({}, createSnippet("MobX property", "mx")), undefined, 2));
    console.log("Installing snippets to:", toPath2);
});
function createSnippet(name, templateFile) {
    const fromPath = path_1.default.join(__dirname, "../snippets/", templateFile + ".txt");
    let snippetContent = fs_1.default.readFileSync(fromPath, "utf-8");
    snippetContent = snippetContent.replace(/ComponentName/g, "${1:ComponentName}");
    snippetContent = snippetContent.replace(/CssContent/g, "${1:display: flex;}");
    const snippetFull = {
        [name]: {
            prefix: [templateFile],
            body: [snippetContent],
            description: templateFile,
        },
    };
    return snippetFull;
}
commander_1.default.parse(process.argv);
//# sourceMappingURL=cli.js.map